# All Media Data

The Media API also exposes an Endpoint "**allmedia**", that is able to handle Results from multiple Streamtypes at once. Above all, it is very usefull for Union Queries, where multiple Streamtype Results should be ordered. It is also heavily connected to the "GlobalID" System, which gives every Media Element a global, unique ID, without the need for a Streamtype.

The All Media Endpoint accepts (mostly) all Parameters of the Standard Media Endpoints - streamtype specific Parameters and Output Modifiers are not supported.

{% hint style="info" %}
Each All Media API Endpoint supports the special Query Parameter "**selectedStreamtypes**". With this Parameter, the calling Domain can control, what kind of Media shall be returned. It it is omitted, all possible Media Items will be returned.
{% endhint %}

The All Media API supports most of the default Media API Endpoints in exactly the same Way with the same Parameters - except the Need for a Streamtype.

## Single Item Call

This API Calls will return only one the referenced Item (if available and accessible with the calling Domain). The Result Set Format will be an Object.

## /byglobalid

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byglobalid/:globalid`

#### Path Parameters

| Name     | Type   | Description                           |
| -------- | ------ | ------------------------------------- |
| globalid | number | The GlobalID of the target Media Item |

{% tabs %}
{% tab title="200 " %}

```
Item found
```

{% endtab %}

{% tab title="404 " %}

```
Item not found
```

{% endtab %}
{% endtabs %}

## Default Item List Calls

## /all

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/all`

{% tabs %}
{% tab title="200 " %}

```
Item found
```

{% endtab %}

{% tab title="404 " %}

```
Item not available
```

{% endtab %}
{% endtabs %}

## /latest

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/latest`

returns "**all**" Items, sorted by Creation Date (ignores the "**order**" Parameters).

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /picked

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/picked`

returns all "**picked**" Items (ignores the "**order**" Parameter).

{% tabs %}
{% tab title="200 " %}

```
Item found
```

{% endtab %}

{% tab title="404 " %}

```
Item not available
```

{% endtab %}
{% endtabs %}

## /evergreens

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/evergreens`

returns all "**Evergreen**" Items.

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /forkids

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/forkids`

returns all Items, marked as "created for Kids". This is NOT connected to any Age Restriction.

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /withawards

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/withawards`

returns all Items, thave have been added Awards to

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /byquery

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byquery/:query`

performs a regular Query on all Items. The "**order**" Parameters are ignored, if querymode is set to "**fulltext**".

#### Path Parameters

| Name       | Type   | Description             |
| ---------- | ------ | ----------------------- |
| streamtype | string | the Media Streamtype    |
| query      | string | the targetthe Item Slug |

#### Query Parameters

| Name                    | Type    | Description                                                                                                                                                                                    |
| ----------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| queryMode               | string  | \[classicwithand, classicwithor, fulltext] defines the Way, the Query is executed. Fore more results, "**classicwithor**" is optiomal. For a Lucense Search with Relevance, use "**fulltext**" |
| queryFields             | string  | a comma seperated List of Attributes, to search within. If omitted, the Search will use all available Text Attributes.                                                                         |
| minimalQueryScore       | integer | skip Results with a Query Score lower than the given Value. Only usefull for querymode "**fulltext**".                                                                                         |
| includeSubstringMatches | boolean | By default, the Query will only return REsults on full Words. If also Subsctring Matches shall be returned, set this Parameter to 1. Only usefull, if querymode is not "**fulltext**".         |
| skipReporting           | boolean | if set to 0 or omitted, the Call will implictily report this Query to the nexxOMIA Reporting System.                                                                                           |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /random

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/random`

## /mostactive

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/mostactive`

"**mostactive**" refers to the Number of "**Views**" of each Media Item. The "**order**" Parameters will be ignored.

#### Query Parameters

| Name      | Type    | Description                                                                                     |
| --------- | ------- | ----------------------------------------------------------------------------------------------- |
| timeframe | integer | \[1, 5, 10, 30] the Amount of Days, that will be included in the Computation of the Result Set. |

## /mostactiveexternal

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/mostactiveexternal`

"**mostactive**" refers to the Number of "**Views**" of each Media Item (on external Platforms). The "**order**" Parameters will be ignored.

#### Query Parameters

| Name      | Type    | Description                                                                                     |
| --------- | ------- | ----------------------------------------------------------------------------------------------- |
| timeframe | integer | \[1, 5, 10, 30] the Amount of Days, that will be included in the Computation of the Result Set. |

## Reference Item List Calls

## /bytag

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/bytag/:tag`

#### Path Parameters

| Name | Type   | Description          |
| ---- | ------ | -------------------- |
| tag  | string | the Tag to query for |

## /byperson

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byperson/:person`

#### Path Parameters

| Name   | Type   | Description                         |
| ------ | ------ | ----------------------------------- |
| person | string | the Name of the Person to query for |

## /bypersonid

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/bypersonid/:personid`

#### Path Parameters

| Name     | Type    | Description                       |
| -------- | ------- | --------------------------------- |
| personid | integer | the ID of the Person to query for |

## /byshow

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byshow/:show`

#### Path Parameters

| Name | Type   | Description                       |
| ---- | ------ | --------------------------------- |
| show | string | the Name of the Show to query for |

## /byshowid

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byshowid/:showid`

#### Path Parameters

| Name   | Type   | Description                     |
| ------ | ------ | ------------------------------- |
| showid | number | the ID of the Show to query for |

## /byplace

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byplace/:place`

#### Path Parameters

| Name  | Type   | Description                        |
| ----- | ------ | ---------------------------------- |
| place | string | the Name of the Place to query for |

## /byplaceid

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byplaceid/:placeid`

#### Path Parameters

| Name    | Type   | Description                      |
| ------- | ------ | -------------------------------- |
| placeid | number | the ID of the Place to query for |

## /byproduct

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byproduct/:product`

#### Path Parameters

| Name                                      | Type   | Description                          |
| ----------------------------------------- | ------ | ------------------------------------ |
| product<mark style="color:red;">\*</mark> | string | the Name of the Product to query for |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /byproductid

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byproductid/:productid`

#### Path Parameters

| Name                                        | Type   | Description                        |
| ------------------------------------------- | ------ | ---------------------------------- |
| productid<mark style="color:red;">\*</mark> | number | the ID of the Product to query for |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /byfile

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byfile/:file`

#### Path Parameters

| Name                                   | Type   | Description                       |
| -------------------------------------- | ------ | --------------------------------- |
| file<mark style="color:red;">\*</mark> | string | the Name of the File to query for |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /byfileid

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/byfileid/:fileid`

#### Path Parameters

| Name                                     | Type   | Description                     |
| ---------------------------------------- | ------ | ------------------------------- |
| fileid<mark style="color:red;">\*</mark> | number | the ID of the File to query for |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /bystudio

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/allmedia/bystudio/:studioid`

only available for Videos, Playlists and Sereis

#### Path Parameters

| Name     | Type   | Description                       |
| -------- | ------ | --------------------------------- |
| studioid | number | the ID of the Studio to query for |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.docs.nexx.cloud/media-api/endpoints/all-media-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
